Start Task
curl --request POST \
--url https://monitor-api.tweet-catcher.com/pro/start-task \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"id": 932
}'import requests
url = "https://monitor-api.tweet-catcher.com/pro/start-task"
payload = { "id": 932 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 932})
};
fetch('https://monitor-api.tweet-catcher.com/pro/start-task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://monitor-api.tweet-catcher.com/pro/start-task",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 932
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://monitor-api.tweet-catcher.com/pro/start-task"
payload := strings.NewReader("{\n \"id\": 932\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://monitor-api.tweet-catcher.com/pro/start-task")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 932\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://monitor-api.tweet-catcher.com/pro/start-task")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 932\n}"
response = http.request(request)
puts response.read_body{
"error": false
}{
"error": true,
"message": "Invalid request parameters"
}{
"error": true,
"message": "Invalid or missing authorization token"
}Manage Tasks
Start Task
Activates a previously created (or stopped) task by its ID
Starting an already-running task is a no-op, it returns success without restarting it
POST
https://monitor-api.tweet-catcher.com/pro
/
start-task
Start Task
curl --request POST \
--url https://monitor-api.tweet-catcher.com/pro/start-task \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"id": 932
}'import requests
url = "https://monitor-api.tweet-catcher.com/pro/start-task"
payload = { "id": 932 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 932})
};
fetch('https://monitor-api.tweet-catcher.com/pro/start-task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://monitor-api.tweet-catcher.com/pro/start-task",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 932
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://monitor-api.tweet-catcher.com/pro/start-task"
payload := strings.NewReader("{\n \"id\": 932\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://monitor-api.tweet-catcher.com/pro/start-task")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 932\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://monitor-api.tweet-catcher.com/pro/start-task")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 932\n}"
response = http.request(request)
puts response.read_body{
"error": false
}{
"error": true,
"message": "Invalid request parameters"
}{
"error": true,
"message": "Invalid or missing authorization token"
}